TRANSLATION Arbre2;

LINELENGTH 78;

RULES

   Arbre2 :
	BEGIN
	create '\12<UL>\12';
	create '</UL>\12' after;
	END;

   Descendants :
	BEGIN
	if within 0 Descendants create '  <UL>\12';
	if within 1 Descendants create '    <UL>\12';
	if within 2 Descendants create '      <UL>\12';
	if within 3 Descendants create '        <UL>\12';
	if within >3 Descendants create '          <UL>\12';

	if within 0 Descendants create '  </UL>\12' after;
	if within 1 Descendants create '    </UL>\12' after;
	if within 2 Descendants create '      </UL>\12' after;
	if within 3 Descendants create '        </UL>\12' after;
	if within >3 Descendants create '          </UL>\12' after;
	END;

   Noeud :
	BEGIN
	if within 0 Descendants create '  <LI>';
	if within 1 Descendants create '    <LI>';
	if within 2 Descendants create '      <LI>';
	if within 3 Descendants create '        <LI>';
	if within >3 Descendants create '          <LI>';
	create '\12' after;
	END;

END
